<?php
require __DIR__ . "/../db/database.php";

// Pārbauda, vai ir iegūts burts
if(isset($_GET['letter'])) {
    // Ja ir iegūts burts, definē mainīgo
    $letter = $_GET['letter'];

    // SQL pieprasījums, kas atlasa grāmatas, kuru nosaukumi sākas ar doto burtu
    $sql = "SELECT * FROM books WHERE title LIKE '$letter%'";
} else {
    // Ja nav iegūts burts, parāda visas grāmatas
    $sql = "SELECT * FROM books";
}

// Izpilda SQL pieprasījumu
$all_books = $mysqli->query($sql);

// Iegūtās grāmatas izveido, kamēr nav izveidotas visas grāmatas
while($row = mysqli_fetch_assoc($all_books)) {
    // Izvada HTML kodu katrai grāmatas kartiņai
    echo '<div class="card" data-bookId="'. $row['id'] .'">';
    echo '<div class="image">';
    echo '<img src="../uploads/' . $row["image"] . '" alt="">';
    echo '</div>';
    echo '<div class="info">';
    // Saīsina garus nosaukumus un parāda pilno nosaukumu tad, kad ir novirzīts kursors uz to. 
    echo '<h2 class="heading" title="' . $row["title"] . '">' . (mb_strlen($row["title"]) > 15 ? mb_substr($row["title"], 0, 8) . '...' : $row["title"]) . '</h2>';
    echo '<p class="description">' . $row["description"] . '</p>';
    echo '</div>';
    echo '</div>';
}
